function D3axis(sca)

% D2axis(sca,alpha),  creates a 2D system of axis with axes X and  Y.
%
% sca [1x1]     = a scale factor. Both axes will extend from
%                   -sca to +sca.

if nargin==0
    sca=2; 
  end

clf

plot(sca*[-1 1],[0 0],'k');
hold on
plot([0 0],sca*[-1 1],'k');
plot(sca*1.1*[1 0 0 0 0],sca*1.1*[0 0 1 0 0],'k','LineWidth',2);
text(1.15*sca,0,'X');
text(0,1.15*sca,'Y');
axis image


